<script>
    export default{
        data(){
            return {
                defaultColor:'default',
                primary:'primary',
                success:'success',
                info:'info',
                warning:'warning',
                danger:'danger',
                parent:'parent',
                headmaster:'headmaster',
                teacher:'teacher',
                ibuttonType1:['icon'],
                ibuttonType2:['icon','icon-2x'],
                ibuttonType3:['link'],
                ibuttonType4:['icon','rounded'],
                ibuttonType5:['block'],
                xs:'xs',
                sm:'sm',
                lg:'lg',
                xlg:'xlg',
                disabled:true
            }
        }
    }
</script>

# Button

### Color Button

:::demo `color` 属性定义了按钮的颜色，`parent`、`headmaster`、`teacher` 为 家长端、校长端、资深老师端的按钮色。

```html

<template>
<i-button :color="defaultColor">Default Button</i-button>

<i-button :color="primary">Primary Button</i-button>

<i-button :color="success">Success Button</i-button>

<i-button :color="info">Info Button</i-button>

<i-button :color="warning">Warning Button</i-button>

<i-button :color="danger">Danger Button</i-button>

<i-button :color="parent">Parent Button</i-button>

<i-button :color="headmaster">Headmaster Button</i-button>

<i-button :color="teacher">Teacher Button</i-button>

</template>
```
```javaScript
<script type="text/html">
    export default{
        data(){
            return {
                defaultColor:'default',
                primary:'primary',
                success:'success',
                info:'info',
                warning:'warning',
                danger:'danger',
                parent:'parent',
                headmaster:'headmaster',
                teacher:'teacher',
            }
        }
    }
</script>
```
:::

### 带字体图标的按钮

:::demo 
```html

<template>
<i-button :color="defaultColor"><i class="zhidian-font zf-message_select"></i>Default Button</i-button>

<i-button :color="primary"><i class="zhidian-font zf-message_select"></i>Primary Button</i-button>

<i-button :color="success"><i class="zhidian-font zf-message_select"></i>Success Button</i-button>

<i-button :color="info"><i class="zhidian-font zf-message_select"></i>Info Button</i-button>

<i-button :color="warning"><i class="zhidian-font zf-message_select"></i>Warning Button</i-button>

<i-button :color="danger"><i class="zhidian-font zf-message_select"></i>Danger Button</i-button>
</template>
```
```javaScript
<script>
    export default{
        data(){
            return {
                defaultColor:'default',
                primary:'primary',
                success:'success',
                info:'info',
                warning:'warning',
                danger:'danger'
            }
        }
    }
</script>
```
:::

### 单独图标按钮
:::demo
```html

<template>
一倍大小 icon
<i-button :color="primary" :type="ibuttonType1"><i class="zhidian-font zf-message_select"></i></i-button>
两倍大小 icon
<i-button :color="primary" :type="ibuttonType2"><i class="zhidian-font zf-message_select"></i></i-button>
</template>
```
```javaScript
<script>
    export default{
        data(){
            return {
                primary:'primary',
                defaultColor:'default',
                ibuttonType1:['icon'],
                ibuttonType2:['icon','icon-2x']
            }
        }
    }
</script>
```
:::


### Link Button
:::demo
```html
<template>
<i-button :type="ibuttonType3">Link Button</i-button>
</template>
```
```javaScript
<script>
    export default{
        data(){
            return {
                ibuttonType3:['link']
            }
        }
    }
</script>
```
:::

### 圆角按钮

:::demo
```html
<template>
<i-button :color="success" :type="ibuttonType4">Rounded Button</i-button>

<i-button :color="danger" :type="ibuttonType4"><i class="zhidian-font zf-message_select"></i></i-button>
<br>
<br>
<i-button :color="info" :type="ibuttonType5">Block Button</i-button>
<br>
<i-button :color="danger" :type="ibuttonType1" :size="xs"><i class="zhidian-font zf-message_select"></i>xs button</i-button>

<i-button :color="danger" :type="ibuttonType1" :size="sm"><i class="zhidian-font zf-message_select"></i>sm Button</i-button>

<i-button :color="danger" :type="ibuttonType1" :size="xlg"><i class="zhidian-font zf-message_select"></i>xlg Button</i-button>

<i-button :color="danger" :type="ibuttonType1" :size="lg"><i class="zhidian-font zf-message_select"></i>lg Button</i-button>

</template>
```
```javaScript
<script>
    export default{
        data(){
            return {
                success:'success',
                danger:'danger',
                ibuttonType5:['block'],
                ibuttonType1:['icon'],
                ibuttonType4:['icon','rounded'],
                xs:'xs',
                sm:'sm',
                lg:'lg',
                xlg:'xlg'
            }
        }
    }
</script>
```
:::


### disabled 
:::demo
```html
<template>
    <i-button :color="danger" :type="ibuttonType4" :disabled="disabled"><i class="zhidian-font zf-message_select"></i>Disabled Rounded Button</i-button>
</template>
```
```javaScript
<script>
    export default{
        data(){
            return {
                danger:'danger',
                ibuttonType4:['icon','rounded'],
                disabled:true
            }
        }
    }
</script>
```
:::

### Button Attributes
| 参数      | 说明          | 类型      | 可选值       | 默认值  |
|---------- |------------- |---------------|------------  |-------- |
| color | 颜色 | `String` | `default`, `primary`, `success`, `info`, `warning`, `danger`, `parent`,`headmaster`,`teacher` | — |
| type | 类型 | `Array` | `icon`, `icon-2x`, `link`, `rounded`, `block` | — |
| size | 大小 | `String` | `xs`, `sm`, `lg`, `xlg` | — |
| disabled | 是否禁用 | `Boolean` | `true` 或 `false` | false |