import navConfig from './nav.config.json'
import Vue from 'vue'
import VueRouter from 'vue-router'

import Main from './views/main.vue'

Vue.use(VueRouter)

const buildRoute = (navConfig) => {
  let list = []
  navConfig.forEach((I, i) => {
    if (!!I.path) {
      let route = {
        path: I.path,
        component: (resolve) => require.ensure([], () => resolve(require(`./docs/${I.file}`)))
      }
      list.push(route)
    }
    if (!!I.children && I.children.length > 0) {
      list = list.concat(buildRoute(I.children))
    }
  })
  return list
}

let route = buildRoute(navConfig, '/')

let routes = [{
  path: '/',
  name: 'Main',
  component: Main,
  children: route
}]

export default new VueRouter({ routes })
