'use strict';

exports.__esModule = true;

var _cookie = require('../../../utils/cookie');

var _cookie2 = _interopRequireDefault(_cookie);

var _initNimSDK = require('./initNimSDK');

var _session = require('./session');

var _blacks = require('./blacks');

var _msgs = require('./msgs');

var _userInfo = require('./userInfo');

var _sysMsgs = require('./sysMsgs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function connectNim(_ref, obj) {
  var state = _ref.state,
      commit = _ref.commit,
      dispatch = _ref.dispatch;

  var _Object$assign = Object.assign({}, obj),
      force = _Object$assign.force;
  // 操作为内容页刷新页面，此时无nim实例


  if (!state.nim || force) {
    var loginInfo = {
      // uid: cookie.readCookie('uid'),
      // sdktoken: cookie.readCookie('sdktoken'),
      uid: obj.uid,
      sdktoken: obj.sdktoken
    };

    if (!loginInfo.uid) {
      //无cookie，直接跳转登录页
      // console.log("没有IM登陆信息。。。")
    } else {
      // 有cookie，重新登录
      // console.log("initNimSDK.....")
      dispatch('initNimSDK', loginInfo);
    }
  }
}

exports.default = {
  // 连接sdk请求，false表示强制重连
  connect: function connect(store, obj) {
    var _Object$assign2 = Object.assign({}, obj),
        type = _Object$assign2.type;

    // type 可为 nim、chatroom


    type = type || 'nim';
    switch (type) {
      case 'nim':
        connectNim(store, obj);
        break;
    }
  },

  // 初始化 重新连接SDK
  initNimSDK: _initNimSDK.initNimSDK,
  // 发送消息
  sendMsg: _msgs.sendMsg,
  // 发送文件消息
  sendFileMsg: _msgs.sendFileMsg,
  // 发送位置
  sendGeo: _msgs.sendGeo,
  // 发送自定义系统消息
  sendCustomSysMsg: _sysMsgs.sendCustomSysMsg,
  // 设置当前会话
  setCurrSession: _session.setCurrSession,
  // 重置当前会话
  resetCurrSession: _session.resetCurrSession,
  // 发送消息已读回执
  sendMsgReceipt: _msgs.sendMsgReceipt,
  // 获取历史记录
  getHistoryMsgs: _msgs.getHistoryMsgs,
  // 重置历史消息状态
  resetNoMoreHistoryMsgs: _msgs.resetNoMoreHistoryMsgs,
  // 初始化目标聊天对象信息
  initTargetInfo: _userInfo.initTargetInfo,
  // 初始化当前用户信息
  initIMUserInfo: _userInfo.initIMUserInfo,
  onMsg: _msgs.onMsg,
  initEnvironment: _userInfo.initEnvironment,
  // 黑名单操作
  updateBlack: _blacks.updateBlack
};