'use strict';

exports.__esModule = true;
exports.initNimSDK = initNimSDK;

var _configs = require('../../../configs');

var _configs2 = _interopRequireDefault(_configs);

var _session = require('./session');

var _msgs = require('./msgs');

var _sysMsgs = require('./sysMsgs');

var _utils = require('../../../utils');

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function initNimSDK(_ref, loginInfo) {
  var state = _ref.state,
      commit = _ref.commit,
      dispatch = _ref.dispatch;

  // console.log("in initNimSDK")
  if (state.nim) {
    state.nim.disconnect();
  }
  // console.log("configs.appkey[state.environment]:::", configs.appkey[state.environment])
  // console.log("loginInfo.uid:::", loginInfo.uid)
  // console.log("loginInfo.sdktoken:::", loginInfo.sdktoken)
  // 初始化SDK
  window.nim = state.nim = SDK.NIM.getInstance({
    // debug: true && { api: 'info', style: 'font-size:12px;color:blue;background-color:rgba(0,0,0,0.1)' },
    appKey: _configs2.default.appkey[state.environment],
    account: loginInfo.uid,
    token: loginInfo.sdktoken,
    db: false,
    syncSessionUnread: true,
    syncRobots: true,
    autoMarkRead: true, // 默认为true
    syncRoamingMsgs: true,
    onconnect: function onConnect(event) {
      if (loginInfo) {
        // 连接上以后更新uid
        commit('updateUserUID', loginInfo);
      }
    },
    onerror: function onError(event) {
      console.error('网络连接状态异常');
    },
    onwillreconnect: function onWillReconnect() {
      // console.log(event)
    },
    ondisconnect: function onDisconnect(error) {
      // console.log("ondisconnect::::", error)
      switch (error.code) {
        // 账号或者密码错误, 请跳转到登录页面并提示错误
        case 302:
          // pageUtil.turnPage('帐号或密码错误', 'login')
          break;
        // 被踢, 请提示错误后跳转到登录页面
        case 'kicked':
          var map = {
            PC: '电脑版',
            Web: '网页版',
            Android: '手机版',
            iOS: '手机版',
            WindowsPhone: '手机版'
          };
          var str = error.from;
          var errorMsg = '\u4F60\u7684\u5E10\u53F7\u4E8E' + _utils2.default.formatDate(new Date()) + '\u88AB' + (map[str] || '其他端') + '\u8E22\u51FA\u4E0B\u7EBF\uFF0C\u8BF7\u786E\u5B9A\u5E10\u53F7\u4FE1\u606F\u5B89\u5168!';
          console.error(errorMsg);
          break;
        default:
          break;
      }
    },
    // // 多端登录
    // onloginportschange: onLoginPortsChange,

    // // 会话
    onsessions: function onsessions(obj) {
      (0, _session.onSessions)({ state: state, commit: commit, dispatch: dispatch }, obj);
    },
    onupdatesession: function onupdatesession(obj) {
      (0, _session.onUpdateSession)({ state: state, commit: commit, dispatch: dispatch }, obj);
    },
    // // 消息
    onroamingmsgs: function onroamingmsgs(obj) {
      (0, _msgs.onRoamingMsgs)({ state: state, commit: commit, dispatch: dispatch }, obj);
    },
    onofflinemsgs: function onofflinemsgs(obj) {
      (0, _msgs.onOfflineMsgs)({ state: state, commit: commit, dispatch: dispatch }, obj);
    },
    onmsg: function onmsg(msg) {
      (0, _msgs.onMsg)({ state: state, commit: commit, dispatch: dispatch }, msg);
    },
    oncustomsysmsg: function oncustomsysmsg(obj) {
      (0, _sysMsgs.onCustomSysMsgs)({ state: state, commit: commit, dispatch: dispatch }, obj);
    },
    // 同步完成
    onsyncdone: function onSyncDone() {
      // dispatch('hideLoading')
      // 说明在聊天列表页
      if (state.currSessionId) {
        dispatch('setCurrSession', state.currSessionId);
      }
    }
  });
  // commit('updateNIM',window.nim)
} /* 
   * SDK连接相关
   */