'use strict';

exports.__esModule = true;
exports.onSessions = onSessions;
exports.onUpdateSession = onUpdateSession;
exports.setCurrSession = setCurrSession;
exports.resetCurrSession = resetCurrSession;
// onSessions只在初始化完成后回调
function onSessions(_ref, sessions) {
  var state = _ref.state,
      commit = _ref.commit,
      dispatch = _ref.dispatch;

  // console.log("onSessions::::",sessions)
  commit('updateSessions', sessions);
}

function onUpdateSession(_ref2, session) {
  var state = _ref2.state,
      commit = _ref2.commit,
      dispatch = _ref2.dispatch;

  // if(!!session.lastMsg){
  //   if('in' === session.lastMsg.flow){
  //     session.id = session.lastMsg.scene + "-" + session.lastMsg.from
  //   } else if('out' === session.lastMsg.flow){
  //     session.id = session.lastMsg.scene + "-" + session.lastMsg.target
  //   }
  // }
  var sessions = [session];
  commit('updateSessions', sessions);
}

function setCurrSession(_ref3, sessionId) {
  var state = _ref3.state,
      commit = _ref3.commit,
      dispatch = _ref3.dispatch;

  var nim = state.nim;
  if (sessionId) {
    commit('updateCurrSessionId', {
      type: 'init',
      sessionId: sessionId
    });
    if (nim) {
      // 如果在聊天页面刷新，此时还没有nim实例，需要在onSessions里同步
      nim.setCurrSession(sessionId);
      commit('updateCurrSessionMsgs', {
        type: 'init',
        sessionId: sessionId
      });
      // 发送已读回执
      dispatch('sendMsgReceipt');
    }
  }
}

function resetCurrSession(_ref4) {
  var state = _ref4.state,
      commit = _ref4.commit;

  // console.log('resetCurrSession :::: 方法出发')
  var nim = state.nim;
  nim.resetCurrSession();
  // console.log('updateCurrSessionMsgs :::: destroy')
  commit('updateCurrSessionMsgs', {
    type: 'destroy'
  });
}