'use strict';

exports.__esModule = true;
exports.onCustomSysMsgs = onCustomSysMsgs;
exports.sendCustomSysMsg = sendCustomSysMsg;
function onCustomSysMsgs(_ref, customSysMsgs) {
  var state = _ref.state,
      commit = _ref.commit,
      dispatch = _ref.dispatch;

  // console.log(customSysMsgs)
  if (!Array.isArray(customSysMsgs)) {
    customSysMsgs = [customSysMsgs];
  }
  customSysMsgs = customSysMsgs.filter(function (msg) {
    if (msg.type === 'custom') {
      if (msg.content) {
        try {
          var content = JSON.parse(msg.content);
          // 消息正在输入中
          if (content.id + '' === '1') {
            return false;
          }
        } catch (e) {}
      }
    }
    return true;
  });
  if (customSysMsgs.length > 0) {
    commit('updateCustomSysMsgs', customSysMsgs);
  }
}

function sendCustomSysMsg(_ref2, obj) {
  var state = _ref2.state,
      commit = _ref2.commit,
      dispatch = _ref2.dispatch;

  var nim = state.nim;
  obj = obj || {};
  var scene = obj.scene || 'p2p';

  nim.sendCustomSysMsg({
    scene: scene,
    to: obj.to,
    content: JSON.stringify(obj.content),
    done: function done(error, msg) {
      onSendSysMsgDone({ state: state, commit: commit, dispatch: dispatch }, error, msg);
    }
  });
}

//消息发送回调
function onSendSysMsgDone(_ref3, error, msg) {
  var state = _ref3.state,
      commit = _ref3.commit,
      dispatch = _ref3.dispatch;

  if (error) {
    // 被拉黑
    if (error.code === 7101) {
      msg.status = 'success';
      // console.log("onSendSysMsgDone:::", error.message)
      // console.log("被拉黑了...")
    } else {
        // console.log("onSendSysMsgDone:::", error.message)
      }
  }
}