'use strict';

exports.__esModule = true;
var Utils = Object.create(null);

Utils.stringifyDate = function (datetime) {
  var simple = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  // let weekMap = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday']
  var weekMap = ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'];
  datetime = new Date(datetime);
  var year = datetime.getFullYear();
  var simpleYear = datetime.getYear() - 100;
  var month = datetime.getMonth() + 1;
  month = month > 9 ? month : '0' + month;
  var day = datetime.getDate();
  day = day > 9 ? day : '0' + day;
  var hour = datetime.getHours();
  hour = hour > 9 ? hour : '0' + hour;
  var min = datetime.getMinutes();
  min = min > 9 ? min : '0' + min;
  var week = datetime.getDay();
  week = weekMap[week];
  var thatDay = new Date(year, month - 1, day, 0, 0, 0).getTime();

  if (simple) {
    return {
      withYear: day + '/' + month + '/' + simpleYear,
      withMonth: month + '-' + day,
      withDay: '' + week,
      withLastDay: '\u6628\u5929',
      withHour: hour + ':' + min,
      thatDay: thatDay
    };
  } else {
    return {
      withYear: year + '-' + month + '-' + day + ' ' + hour + ':' + min,
      withMonth: month + '-' + day + ' ' + hour + ':' + min,
      withDay: week + ' ' + hour + ':' + min,
      withLastDay: '\u6628\u5929 ' + hour + ':' + min,
      withHour: hour + ':' + min,
      thatDay: thatDay
    };
  }
};
/* 格式化日期 */
Utils.formatDate = function (datetime) {
  var simple = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  var tempDate = new Date().getTime();
  var result = this.stringifyDate(datetime, simple);
  var thatDay = result.thatDay;
  var deltaTime = (tempDate - thatDay) / 1000;

  if (deltaTime < 3600 * 24) {
    return result.withHour;
  } else if (deltaTime < 3600 * 24 * 2) {
    return result.withLastDay;
  } else if (deltaTime < 3600 * 24 * 7) {
    return result.withDay;
  } else if (deltaTime < 3600 * 24 * 30) {
    return result.withMonth;
  } else {
    return result.withYear;
  }
};

Utils.parseSession = function (sessionId) {
  if (/^p2p-/.test(sessionId)) {
    return {
      scene: 'p2p',
      to: sessionId.replace(/^p2p-/, '')
    };
  } else if (/^team-/.test(sessionId)) {
    return {
      scene: 'team',
      to: sessionId.replace(/^team-/, '')
    };
  }
};

exports.default = Utils;