import Flexbox from '../packages/flexbox/index.js'
import FlexboxItem from '../packages/flexboxItem/index.js'
import Button from '../packages/button/index.js'
import ButtonGroup from '../packages/buttonGroup/index.js'
import Echarts from '../packages/echarts/index.js'
import Chat from '../packages/chat/index.js'
import Popup from '../packages/popup/index.js'
import Picker from '../packages/picker/index.js'
import DateTime from '../packages/dateTime/index.js'
import _DateTime from '../packages/dateTime/_dateTime.js'
import PopupPicker from '../packages/popupPicker/index.js'
import Qrcode from '../packages/qrcode/index.js'
import CheckList from '../packages/checkList/index.js'
import Checkbox from '../packages/checkbox/index.js'
import Switch from '../packages/switch/index.js'
import Choose from '../packages/choose/index.js'
import Crop from '../packages/crop/index.js'
import Upload from '../packages/upload/index.js'
import UploadHeadPic from '../packages/uploadHeadPic/index.js'
import MapG from '../packages/mapG/index.js'
import Photo from '../packages/photo/index.js'
import inlineDateTime from '../packages/inlineDateTime/index.js'

import TouchEvent from '../packages/touchEvent/index.js'
import Loading from '../packages/loading/index.js'
import Cookie from './utils/cookie.js'
import MD5 from './utils/_md5.js'


import { IMStore } from './store'

const components = [
  Flexbox,
  FlexboxItem,
  Button,
  ButtonGroup,
  Echarts,
  Chat,
  Popup,
  Picker,
  DateTime,
  PopupPicker,
  Qrcode,
  CheckList,
  Checkbox,
  Switch,
  Choose,
  Crop,
  Upload,
  UploadHeadPic,
  MapG,
  Photo,
  inlineDateTime
]

const plugins = [
  TouchEvent,
  Cookie,
  MD5,
  _DateTime,
  Loading
]

const install = function(Vue) {
  /* istanbul ignore if */
  if (install.installed) return

  components.map(component => {
    Vue.component(component.name, component)
  })

  plugins.map(plugin => {
    Vue.use(plugin)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  version: '1.7.15',
  install,
  Flexbox,
  FlexboxItem,
  Button,
  ButtonGroup,
  Echarts,
  Chat,
  IMStore,
  Popup,
  TouchEvent,
  Cookie,
  MD5,
  Picker,
  DateTime,
  PopupPicker,
  Qrcode,
  CheckList,
  Checkbox,
  Switch,
  Choose,
  Crop,
  Upload,
  UploadHeadPic,
  MapG,
  Photo,
  Loading,
  inlineDateTime
}
