import cookie from '../../../utils/cookie'

import { initNimSDK } from './initNimSDK'

import { setCurrSession, resetCurrSession } from './session'

import { updateBlack } from './blacks'

import { sendMsg, sendMsgReceipt, sendFileMsg, sendGeo, getHistoryMsgs, resetNoMoreHistoryMsgs, onMsg } from './msgs'

import { initTargetInfo, initIMUserInfo, initEnvironment } from './userInfo'

import { sendCustomSysMsg } from './sysMsgs'

function connectNim({ state, commit, dispatch }, obj) {
  let { force } = Object.assign({}, obj)
  // 操作为内容页刷新页面，此时无nim实例
  if (!state.nim || force) {
    let loginInfo = {
      // uid: cookie.readCookie('uid'),
      // sdktoken: cookie.readCookie('sdktoken'),
      uid: obj.uid,
      sdktoken: obj.sdktoken,
    }

    if (!loginInfo.uid) {
      //无cookie，直接跳转登录页
      // console.log("没有IM登陆信息。。。")
    } else {
      // 有cookie，重新登录
      // console.log("initNimSDK.....")
      dispatch('initNimSDK', loginInfo)
    }
  }
}

export default {
  // 连接sdk请求，false表示强制重连
  connect(store, obj) {
    let { type } = Object.assign({}, obj)

    // type 可为 nim、chatroom
    type = type || 'nim'
    switch (type) {
      case 'nim':
        connectNim(store, obj)
        break
    }
  },
  // 初始化 重新连接SDK
  initNimSDK,
  // 发送消息
  sendMsg,
  // 发送文件消息
  sendFileMsg,
  // 发送位置
  sendGeo,
  // 发送自定义系统消息
  sendCustomSysMsg,
  // 设置当前会话
  setCurrSession,
  // 重置当前会话
  resetCurrSession,
  // 发送消息已读回执
  sendMsgReceipt,
  // 获取历史记录
  getHistoryMsgs,
  // 重置历史消息状态
  resetNoMoreHistoryMsgs,
  // 初始化目标聊天对象信息
  initTargetInfo,
  // 初始化当前用户信息
  initIMUserInfo,
  onMsg,
  initEnvironment,
  // 黑名单操作
  updateBlack
}
