export function onCustomSysMsgs({ state, commit, dispatch } ,customSysMsgs) {
  // console.log(customSysMsgs)
  if (!Array.isArray(customSysMsgs)) {
    customSysMsgs = [customSysMsgs]
  }
  customSysMsgs = customSysMsgs.filter(msg => {
    if (msg.type === 'custom') {
      if (msg.content) {
        try {
          let content = JSON.parse(msg.content)
          // 消息正在输入中
          if ((content.id + '') === '1') {
            return false
          }
        } catch (e) {}
      }
    }
    return true
  })
  if (customSysMsgs.length > 0) {
    commit('updateCustomSysMsgs', customSysMsgs)
  }
}

export function sendCustomSysMsg({ state, commit, dispatch }, obj) {
  const nim = state.nim
  obj = obj || {}
  let scene = obj.scene || 'p2p'

  nim.sendCustomSysMsg({
    scene: scene,
    to: obj.to,
    content: JSON.stringify(obj.content),
    done: function(error, msg) {
      onSendSysMsgDone({ state, commit, dispatch }, error, msg)
    }
  })
}

//消息发送回调
function onSendSysMsgDone({ state, commit, dispatch }, error, msg) {
  if (error) {
    // 被拉黑
    if (error.code === 7101) {
      msg.status = 'success'
      // console.log("onSendSysMsgDone:::", error.message)
      // console.log("被拉黑了...")
    } else {
      // console.log("onSendSysMsgDone:::", error.message)
    }
  }
}
